[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#473929: varkon: FTBFS: Nonexistent build-dependency: gcc-3.3



tag 473929 patch
kthxbye

Attached is a patch to use gcc-3.4 instead of gcc-3.3, because we need
-fwritable-strings.  It's still ugly, but there are new upstream varkon
versions which presumably fix this.  Fixing to use gcc 4 looks like a
much larger patch.

-- 
Tim Retout <tim@retout.co.uk>
diff -u varkon-1.18A/debian/rules varkon-1.18A/debian/rules
--- varkon-1.18A/debian/rules
+++ varkon-1.18A/debian/rules
@@ -18,7 +18,7 @@
 	dh_testdir
 
 	mkdir -p bin
-	VARKON_ROOT=`pwd` make -C sources CC=gcc-3.3
+	VARKON_ROOT=`pwd` make -C sources CC=gcc-3.4
 
 	touch build-stamp
 
diff -u varkon-1.18A/debian/control varkon-1.18A/debian/control
--- varkon-1.18A/debian/control
+++ varkon-1.18A/debian/control
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 5), dpatch, libx11-dev, libgl1-mesa-dev, libglu1-mesa-dev, unixodbc-dev, gcc-3.3
+Build-Depends: debhelper (>= 5), dpatch, libx11-dev, libgl1-mesa-dev, libglu1-mesa-dev, unixodbc-dev, gcc-3.4
 Standards-Version: 3.7.2
 
 Package: varkon

Reply to: